<?php

class View {

    private $vars = array();

    public function get_include_contents($filename) {

	extract($this->vars);

        if (is_file($filename)) {
	    ob_start();
    	    include $filename;
            $contents = ob_get_contents();
	    ob_end_clean();
    	    return $contents;
        }
	return false;
    }

    public function set($name, $value) {
	$this->vars[$name] = $value;
	return $this;
    }

}