<?php

class Main_Controller {
	function index() {
	    include('models/albums.php');

	    $id = isset($_POST['id']) ? $_POST['id'] : '';
	    $nev = isset($_POST['nev']) ? $_POST['nev'] : '';
	    $leiras = isset($_POST['leiras']) ? $_POST['leiras'] : '';

	    $model = new Albums_Model();
	    $albums = $model->get_albums($id, $nev, $leiras);

	    //Verzio1: nincs template, nincs view osztaly, egyszeruen behuzzuk a list.php-t
	    //include('views/list.php');

	    //Verzio2: view osztaly es template hasznalat
	    $view = new View();
	    $view
		->set('id', $id)
		->set('nev', $nev)
		->set('leiras', $leiras)
		->set('albums', $albums);

	    $content = $view->get_include_contents('views/list2.php');
	    include('views/template.php');
	}
	
	function edit() {
	    $id = isset($_GET['id']) ? $_GET['id'] : '';
	    
	    include('models/albums.php');
	    $model = new Albums_Model();
	    $sor = $model->get_album($id);
	    
	    $nev = $sor['nev'];
	    $leiras = $sor['leiras'];
	    
	    $view = new View();
	    $view
		->set('id', $id)
		->set('nev', $nev)
		->set('leiras', $leiras);

	    $content = $view->get_include_contents('views/edit.php');
	    include('views/template.php');
	
	    //include('views/edit.php');
	}

	function update() {
	    $id = $_POST['id'];
	    $nev = $_POST['nev'];
	    $leiras = $_POST['leiras'];
	    
	    include('models/albums.php');
	    $model = new Albums_Model();
	    $uzenet = $model->update_album($id, $nev, $leiras);
	    
	    header('Location: index.php?class=main&method=index');
	}
	
	function insert() {
		
	}
	
	function beszur() {
		
	}
	
	function torol() {
		
	}
}

?>
