<?php

session_start();

function __autoload($class_name) {
    require_once strtolower($class_name) . '.php';
}

require "models/db.inc";

//Konfiguracio betoltese

//Jogosultsagok ellenorzese

$class = 'main';
if (isset($_GET['class'])) {
	$class = $_GET['class'];
}

$method = 'index';
if (isset($_GET['method'])) {
	$method = $_GET['method'];
}

if (file_exists("controllers/" . $class . ".php")) {
	include_once("controllers/" . $class . ".php");
	if (class_exists($class . "_Controller")) {
		$class .= "_Controller";
		$ctrl = new $class();
		if (method_exists($ctrl, $method)) {
			//call_user_func(array($class, $method));
			$ctrl->$method();
		}
		else {
			include_once("error.html");	
		}
	}
	else {
		include_once("error.html");	
	}
}
else {
	include_once("error.html");	
}


?>
